Package org.eclipse.mat.internal.acquire

## Class ProviderArgumentsSet

- java.lang.Object
- - org.eclipse.mat.internal.acquire.ProviderArgumentsSet

    public class ProviderArgumentsSet
    extends java.lang.Object

### Constructor Summary

Constructors
`ProviderArgumentsSet​(HeapDumpProviderDescriptor providerDescriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getArgumentValue​(ArgumentDescriptor desc)`
`HeapDumpProviderDescriptor` `getProviderDescriptor()`
`java.util.Map<ArgumentDescriptor,​java.lang.Object>` `getValues()`
`boolean` `isExecutable()`
`void` `removeArgumentValue​(ArgumentDescriptor arg)`
`void` `setArgumentValue​(ArgumentDescriptor arg, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderArgumentsSet

    public ProviderArgumentsSet​(HeapDumpProviderDescriptor providerDescriptor)

### Method Detail

#### setArgumentValue

    public void setArgumentValue​(ArgumentDescriptor arg,
                                 java.lang.Object value)

#### isExecutable

    public boolean isExecutable()

#### removeArgumentValue

    public void removeArgumentValue​(ArgumentDescriptor arg)

#### getArgumentValue

    public java.lang.Object getArgumentValue​(ArgumentDescriptor desc)

#### getProviderDescriptor

    public HeapDumpProviderDescriptor getProviderDescriptor()

#### getValues

    public java.util.Map<ArgumentDescriptor,​java.lang.Object> getValues()